/*
 * © 2013-2019 by Zappware. 
 * All Rights Reserved. No part of this application or any of its contents may be reproduced, 
 * copied, modified or adapted, without the prior written consent of Zappware.
 *
 * Website: http://www.zappware.com
 * E-Mail: info@zappware.com
 */
package com.zappware.graphlperftest;

/**
 * Settings that influence the processing of a request.
 */
public class ProcessingSettings
{
	/** Flag to indicate if data should be returned from the datafetchers. */
	public static boolean returnFromDataFetcher = true;
	/** Flag to indicate if the result of the GraphQL execution should be returned as JSON. */
	public static boolean returnResponse = true;
	/** The size of the list that is used for generating CPU load. */
	public static int cpuLoadSize = 4096;
	
	/**
	 * Print out the current processing settings.
	 */
	public static void printProcessingSettings()
	{
		System.out.println("Processing settings");
		System.out.println("-------------------");
		System.out.println("  Return data from data fetchers: " + returnFromDataFetcher);
		System.out.println("  Return response: " + returnResponse);
		System.out.println("  CPU load generation size: " + cpuLoadSize);
		System.out.println("");
	}
}